/*****************************************************************************/
/* XColorGC GCȿδ䤤碌ѤΥ饤֥                           */
/*****************************************************************************/

#ifndef _XColorGC_h_INCLUDED_
#define _XColorGC_h_INCLUDED_

typedef struct _XColorGCDatabase * XColorGCDatabase;
typedef struct _XColorGC * XColorGC;

#include <X11/Xlib.h>

#include "XDisplay.h"
#include "Obj.h"

/*===========================================================================*/
/* XColorGC Ϣ                                                             */
/*===========================================================================*/

/*---------------------------------------------------------------------------*/
/* ֥Ȥ                                                        */
/*---------------------------------------------------------------------------*/

XColorGC XColorGC_Create(XColorGCDatabase database, XColor color);
XColorGC XColorGC_CreateFromXColorGC(XColorGCDatabase database, XColorGC c);

/*---------------------------------------------------------------------------*/
/* RGB ͤ롥                                                      */
/*---------------------------------------------------------------------------*/

XColorGC XColorGC_CreateFromRGB(XColorGCDatabase database,
			      int red, int green, int blue);

/*---------------------------------------------------------------------------*/
/* ֥Ȥκ                                                        */
/*---------------------------------------------------------------------------*/

XColorGC XColorGC_Destroy(XColorGC color_gc);

/*===========================================================================*/
/* ʸɤ߹Ѵؿ                                                      */
/*===========================================================================*/

/*---------------------------------------------------------------------------*/
/* GCΥǡ١ name Ϳ줿̾ο򸡺롥            */
/*---------------------------------------------------------------------------*/

XColorGC XColorGC_CreateFromCharacters(XColorGCDatabase database, char * name);

/*---------------------------------------------------------------------------*/
/* XColor ¤Τμ                                                       */
/*---------------------------------------------------------------------------*/

XColor XColorGC_GetColor(XColorGC color_gc);

/*---------------------------------------------------------------------------*/
/* ԥͤμ                                                          */
/*---------------------------------------------------------------------------*/

unsigned long XColorGC_GetPixel(XColorGC color_gc);

/*---------------------------------------------------------------------------*/
/* GC μ                                                                 */
/*---------------------------------------------------------------------------*/

GC XColorGC_GetGC(XColorGC color_gc);

/*---------------------------------------------------------------------------*/
/* 뤵μ                                                          */
/*---------------------------------------------------------------------------*/

int GetBrightness(XColor color);

/*===========================================================================*/
/* GC Υǡ١                                                         */
/*===========================================================================*/

XColorGCDatabase XColorGCDatabase_Create(XDisplay x_display,
					 int studying_flag,
					 int cache_flag,
					 int cache_size,
					 int hash_number,
					 char * background,
					 int gradation);
XColorGCDatabase XColorGCDatabase_Destroy(XColorGCDatabase database);
XColorGC XColorGCDatabase_GetBackgroundXColorGC(XColorGCDatabase database);

/*---------------------------------------------------------------------------*/
/* 塼˥                                                            */
/*---------------------------------------------------------------------------*/

void XColorGCDatabase_OutputHashStatus(XColorGCDatabase database);

#endif

/*****************************************************************************/
/* End of File                                                               */
/*****************************************************************************/
