#ifndef _WWDisplayP_h_INCLUDED_
#define _WWDisplayP_h_INCLUDED_

/*****************************************************************************/
/*                                                                   */
/*****************************************************************************/

#include "WWDisplay.h"

/*****************************************************************************/
/* 饹                                                              */
/*****************************************************************************/

typedef struct _WWDisplay {

  WWColorMap color_map;
  WWPalette palette[16];
  WWCharacter character[512];
  WWSprite sprite[128];
  WWScreen screen[2];
  WWLCDPanel lcd_panel;
  WWText text;
  WWCursor cursor;

  /* ǥץ쥤° */
  unsigned int color_mode; /* 顼⡼ */

  int sprite_enable; /* ץ饤ɽ֥͡ե饰 */
  int sprite_window_enable; /* ץ饤ȥɥǽ֥͡ե饰 */
  int sprite_window_x;      /* ץ饤ȥɥ */
  int sprite_window_y;      /* ץ饤ȥɥ */
  int sprite_window_width;  /* ץ饤ȥɥ */
  int sprite_window_height; /* ץ饤ȥɥ */

  /* ܡ顼Υѥåȡ顼ɬ */
  WWPalette border_palette;
  /* ܡ顼ξˤϡ07Υ顼ޥåֹ */
  int border_color;

  int foreground_color; /* ΥեŸο */
  int background_color; /* ΥեŸο */

  int sprite_start; /* ץ饤Ȥλ */
  int sprite_count; /* ץ饤Ȥλ */
} _WWDisplay;

/*****************************************************************************/
/* ޤ                                                                  */
/*****************************************************************************/

#endif

/*****************************************************************************/
/* End of File.                                                              */
/*****************************************************************************/
