/*****************************************************************************/
/*                                                                   */
/*****************************************************************************/

#include <stdio.h>
#include <stdlib.h>

#include "wonx_configure.h"

#include "wonx/fcntl.h"

#include "WonX.h"

/*****************************************************************************/
/* ߴؿ                                                            */
/*****************************************************************************/

/*
 * void * ǥǡϤؿϡְ㤨ХǽΤǡ
 * void * Ŭڤʷ֤Ƥ롥
 */

/*
 * XФȤƱȤʤʤʤɤ꤬ͤΤǡ
 * ߴؿ UNIXTimer_Pause(), UNIXTimer_Unpause() Ǥꡤ
 * ޳ߤߤƽԤޤunpause ޤˡ
 * ʤ餺 sync 褦ˤ롥
 */

/*
 * ޤΰߤΣŲ꤬ФƤΤǡ
 * ߴؿߴؿƤǤϤʤ
 * (ߤϥͥȤ뤬)
 * 褦ʽ򤹤ؿξϡɬ static ̴ؿ˽ޤȤᡤ
 * äƤӽФ褦ˤ뤳ȡ
 * ɽ⤢뤷͡
 */

/*
 * mmap()  UNIX ɸΤΤ WonderWitch ΤΤǥեꥯȤƤޤȤ
 * кŪƤͳ README 򻲾ȤƤ
 */
#if 0
void * wonx_mmap(char * filename);
void * mmap = wonx_mmap;
#endif
#if 0
#ifdef wonx_mmap
#undef wonx_mmap
#endif
#endif

void * wonx_mmap(char * filename)
{
  int size = 10;
  FILE * fp;
  int i, c;
  char * p;
  void * ret;

  if (!WonX_IsCreated()) WonX_Create();

  /* ޤߤ */
  UNIXTimer_Pause(WonXSystem_GetUNIXTimer(WonX_GetWonXSystem()));

  printf("call : mmap() : filename = %s\n", filename);
  fflush(stdout);

  p = (char *)malloc(size);
  if (p == NULL) WonX_Error("mmap", "cannot allocate memory.");

  fp = fopen(filename, "rb");
  if (fp == NULL) WonX_Error("mmap", "cannot open file.");

  i = 0;
  while ((c = fgetc(fp)) != EOF) {
    if (i > size - 1) {
      p = (char *)realloc(p, size);
      if (p == NULL) WonX_Error("mmap", "cannot reallocate memory.");
    }
    p[i] = c;
    i++;
  }

  fclose(fp);
  ret = p;

  WonXDisplay_Sync(WonX_GetWonXDisplay());

  printf("call : mmap() : return value = 0x%p\n", ret);
  fflush(stdout);

  /* ޤȤ᤹ */
  UNIXTimer_Unpause(WonXSystem_GetUNIXTimer(WonX_GetWonXSystem()));

  return (ret);
}

/*****************************************************************************/
/* ޤ                                                                  */
/*****************************************************************************/

/*****************************************************************************/
/* End of File.                                                              */
/*****************************************************************************/
